summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Ryan P.C. McQuen2015-10-25 02:45:12 +0100
committer Willy Sudiarto Raharjo2015-10-25 04:04:52 +0100
commit306db4f3817032560dd7289c047330071469db2c (patch)
treeb5501b0b290e3dff1ca9201f289338206855903d /development
parent03122fb5e050329e7e04dc0d0ca0399aa88b4869 (diff)
downloadslackbuilds-306db4f3817032560dd7289c047330071469db2c.tar.gz
development/zed: Added (text and code editor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/zed/README16
-rw-r--r--development/zed/doinst.sh13
-rw-r--r--development/zed/slack-desc19
-rw-r--r--development/zed/zed.SlackBuild102
-rw-r--r--development/zed/zed.info10
5 files changed, 160 insertions, 0 deletions
diff --git a/development/zed/README b/development/zed/README
new file mode 100644
index 0000000000..5ef2a735d8
--- /dev/null
+++ b/development/zed/README
@@ -0,0 +1,16 @@
+Zed is a fully offline-capable, open source, keyboard-focused, text and code editor for power users.
+You can use Zed to edit local files as well as remote files on any server.
+
+Zed has all features you'd expect from a capable code editor:
+- Syntax highlighting for many programming languages (e.g. C, Clojure, CoffeeScript, C#, CSS, Dart,
+ Erlang, Go, Haml, Haskell, HTML, ini files, Java, JavaScript, JSON, LogiQL, Lua, Markdown, Nix,
+ PHP, Plist, Protobufs, Python, Ruby, Shell, XML)
+- Code completion: symbols, snippets and property/method completion.
+- Built-in linting for some languages with inline markers (JavaScript, CoffeeScript, JSON, Lua, CSS)
+- Multiple cursors
+- Split-view editing
+- Themes: light and dark themes out of the box and you can easily develop your own using CSS.
+
+To learn more about Zed's remote editing, look here:
+
+http://zedapp.org/features/edit-remote-files/
diff --git a/development/zed/doinst.sh b/development/zed/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/development/zed/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/development/zed/slack-desc b/development/zed/slack-desc
new file mode 100644
index 0000000000..3c17d41d80
--- /dev/null
+++ b/development/zed/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+zed: zed (text and code editor)
+zed:
+zed: Zed is a fully offline-capable, open source, keyboard-focused,
+zed: text and code editor for power users.
+zed:
+zed: You can use Zed to edit local files as well as remote files
+zed: on any server.
+zed:
+zed:
+zed: http://zedapp.org/
+zed:
diff --git a/development/zed/zed.SlackBuild b/development/zed/zed.SlackBuild
new file mode 100644
index 0000000000..3e589782d1
--- /dev/null
+++ b/development/zed/zed.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for zed
+# Ryan P.C. McQuen | Everett, WA | ryan.q@linux.com
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version, with the following exception:
+# the text of the GPL license may be omitted.
+
+# This program is distributed in the hope that it will be useful, but
+# without any warranty; without even the implied warranty of
+# merchantability or fitness for a particular purpose. Compiling,
+# interpreting, executing or merely reading the text of the program
+# may result in lapses of consciousness and/or very being, up to and
+# including the end of all existence and the Universe as we know it.
+# See the GNU General Public License for more details.
+
+# You may have received a copy of the GNU General Public License along
+# with this program (most likely, a file named COPYING). If not, see
+# <https://www.gnu.org/licenses/>.
+
+PRGNAM=zed
+SRCNAM=Zed
+VERSION=${VERSION:-1.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+TARBALL_x86=${PRGNAM}"-linux32-"
+TARBALL_x86_64=${PRGNAM}"-linux64-"
+TARBALL_ROOT=${PRGNAM}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486;
+ LIBDIRSUFFIX="";
+ TARBALL=${TARBALL_x86};
+ ;;
+ arm*) ARCH=arm;
+ ;;
+ *) ARCH=$( uname -m );
+ LIBDIRSUFFIX="64";
+ TARBALL=${TARBALL_x86_64};
+ ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-${PRGNAM}
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${TARBALL_ROOT}
+tar -xvf $CWD/${TARBALL}v${VERSION}.tar.gz
+cd ${TARBALL_ROOT}
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -pv $PKG/opt/${PRGNAM}/libs/
+cp -Rav * $PKG/opt/${PRGNAM}
+
+## fixes udev1 dependency
+ln -sfv /usr/lib${LIBDIRSUFFIX}/libudev.so $PKG/opt/${PRGNAM}/libs/libudev.so.1
+
+mkdir -p $PKG/usr/bin
+
+## we make our own script since
+## we have to set the lib path
+cat <<EOT > $PKG/usr/bin/${PRGNAM}
+#!/bin/sh
+## fix libudev issue
+LD_LIBRARY_PATH=/opt/${PRGNAM}/libs/ /opt/${PRGNAM}/${PRGNAM}
+EOT
+
+chmod 755 $PKG/usr/bin/${PRGNAM}
+
+mkdir -p $PKG/usr/share/pixmaps
+ln -sf /opt/${PRGNAM}/${SRCNAM}.png $PKG/usr/share/pixmaps/${PRGNAM}.png
+
+mkdir -p $PKG/usr/share/applications
+cat $PKG/opt/${PRGNAM}/${SRCNAM}.desktop.tmpl > $PKG/usr/share/applications/${PRGNAM}.desktop
+
+mkdir -p $PKG/usr/doc/${PRGNAM}-${VERSION}
+cat $CWD/${PRGNAM}.SlackBuild > $PKG/usr/doc/${PRGNAM}-${VERSION}/${PRGNAM}.SlackBuild
+cat $CWD/README > $PKG/usr/doc/${PRGNAM}-${VERSION}/README
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.${PKGTYPE:-tgz}
diff --git a/development/zed/zed.info b/development/zed/zed.info
new file mode 100644
index 0000000000..a34b455914
--- /dev/null
+++ b/development/zed/zed.info
@@ -0,0 +1,10 @@
+PRGNAM="zed"
+VERSION="1.1.0"
+HOMEPAGE="http://zedapp.org/"
+DOWNLOAD="http://download.zedapp.org/zed-linux32-v1.1.0.tar.gz"
+MD5SUM="43b7912ea9717c0c8946a3921f133e6e"
+DOWNLOAD_x86_64="http://download.zedapp.org/zed-linux64-v1.1.0.tar.gz"
+MD5SUM_x86_64="3b221d81275c425ed7f2cf1f34a52e05"
+REQUIRES=""
+MAINTAINER="Ryan P.C. McQuen"
+EMAIL="ryan.q@linux.com"